/*
	File:		AppConditionals.h

	Contains:	Like MoofWars, we'll define a few conditional macros that assist in configuring 
				how the application actually works.  For the moment, we'll just have one, the
				debugging macro.

				qDebugging  -- Whether or not additional debugging code should be inserted.
				With this turned on, most errors will DebugStr almost immediately and return
				errors as the error propagates up the calling chain.  This is slower, but if
				you've found a weird bug, this is the fastest way to replicate it.

	Written by: Timothy Carroll	

	Copyright:	Copyright  1996-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				7/1/1999	Karl Groethe		 Updated for Metrowerks Codewarror Pro 2.1
				

*/

#ifndef __APPCONDITIONALS__
#define __APPCONDITIONALS__

#define qDebugging 1

#endif // __APPCONDITIONALS__